com.google.appengine.api.images

## Class OutputSettings

- java.lang.Object
- - com.google.appengine.api.images.OutputSettings

-     public class OutputSettings
      extends java.lang.Object

  `OutputSettings` represents the different settings to specify how a particular transform or composite will return an `Image`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputSettings(ImagesService.OutputEncoding outputEncoding)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImagesService.OutputEncoding` | `getOutputEncoding()` Gets the output encoding.
    `int` | `getQuality()` Gets the quality.
    `boolean` | `hasQuality()` Checks if the quality value has been set.
    `void` | `setOutputEncoding(ImagesService.OutputEncoding outputEncoding)` Sets the output encoding.
    `void` | `setQuality(int quality)` Sets the quality of the returned image.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputSettings

          public OutputSettings(ImagesService.OutputEncoding outputEncoding)

  - ### Method Detail

    - #### getOutputEncoding

          public ImagesService.OutputEncoding getOutputEncoding()

      Gets the output encoding.
      Returns:
        The output encoding.

    - #### setOutputEncoding

          public void setOutputEncoding(ImagesService.OutputEncoding outputEncoding)

      Sets the output encoding.
      Parameters:
        `outputEncoding` - The encoding to set.

    - #### getQuality

          public int getQuality()

      Gets the quality.
      Returns:
        If the quality has been set, a value between 1 and 100. Otherwise, it returns -1.

    - #### setQuality

          public void setQuality(int quality)

      Sets the quality of the returned image. Value must be between 1 and 100.
      Parameters:
        `quality` - The quality to set.
      Throws:
        `java.lang.IllegalArgumentException` - if quality is not between 1 and 100.

    - #### hasQuality

          public boolean hasQuality()

      Checks if the quality value has been set.
      Returns:
        If the quality has been set, true. Otherwise, false.